Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007068 [DCSS] Patches tweak always 2013-05-21 04:03 2013-07-25 11:49
Reporter chris View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007068: Fix message length calculation in inventory
Description
From 212fcd83a1d16abc66d441696422aa8d41e46b61 Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Tue, 21 May 2013 03:53:21 +0200
Subject: Fix message length calculation in inventory

As per fea71b51790dfb1c5babc22c32226a976a1d5fde, this category was split
into two. The message for staves however still is the longest possible
one even if not mentioning rods.
Moves a "+ 1" into the string measured with (as space) to indicate what
it was doing more clearly.
---
 crawl-ref/source/invent.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/crawl-ref/source/invent.cc b/crawl-ref/source/invent.cc
index 8928daa..7b42963 100644
--- a/crawl-ref/source/invent.cc
+++ b/crawl-ref/source/invent.cc
@@ -820,8 +820,8 @@ menu_letter InvMenu::load_items(const vector<const item_def*> &mitems,

                 if (!glyphs.empty())
                 {
                     // longest string
-                    const string str = "Magical Staves and Rods";
-                    subtitle += string(strwidth(str) - strwidth(subtitle) + 1,
+                    const string str = "Magical Staves ";
+                    subtitle += string(strwidth(str) - strwidth(subtitle),
                                        ' ');
                     subtitle += "(select all with <w>";
                     for (unsigned int k = 0; k < glyphs.size(); ++k)
-- 
1.8.2.3

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0022730)
neil (administrator)
2013-05-21 08:36

In trunk (0.13-a0-826-g3f3b136), thanks!

- Issue History
Date Modified Username Field Change
2013-05-21 04:03 chris New Issue
2013-05-21 08:33 neil Status new => assigned
2013-05-21 08:33 neil Assigned To => neil
2013-05-21 08:36 neil Note Added: 0022730
2013-05-21 08:36 neil Status assigned => resolved
2013-05-21 08:36 neil Fixed in Branch => 0.13 development branch
2013-05-21 08:36 neil Resolution open => done
2013-07-25 11:49 chris Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker